Bug 1467632 - error message in case of registration or check failure does not link to KB article as before
Summary: error message in case of registration or check failure does not link to KB ar...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration
Version: 580
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Tomáš Kašpárek
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks: sat58-errata
TreeView+ depends on / blocked
 
Reported: 2017-07-04 12:11 UTC by Jan Hutař
Modified: 2017-09-06 12:27 UTC (History)
4 users (show)

Fixed In Version: spacewalk-backend-2.5.3-151-sat
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-06 12:27:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
0001-1467632-fix-typo-in-exception-message.patch (935 bytes, application/mbox)
2017-08-21 11:32 UTC, Tomáš Kašpárek
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2645 normal SHIPPED_LIVE Moderate: satellite and spacewalk security and bug fix update 2017-09-06 16:26:43 UTC

Description Jan Hutař 2017-07-04 12:11:51 UTC
Description of problem:
Error message in case of registration or check failure does not link to KB article as before


Version-Release number of selected component (if applicable):
spacewalk-backend-2.5.3-143.el6sat.noarch


How reproducible:
always


Steps to Reproduce:
1. Register client system to the Satellite
2. Delete it's profile on the Satellite
3. On the client system, run rhn_check


Actual results:
Could not retrieve action item from server <RetryServer for SERVER/XMLRPC>
Error code: -9
Error Message:
    Please run rhn_register (or up2date --register on Red Hat Enterprise Linux 3 or later)
as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.


Expected results:
Could not retrieve action item from server <RetryServer for SERVER/XMLRPC>
Error code: -9
Error Message:
    Please run rhn_register (or up2date --register on Red Hat Enterprise Linux 3 or later)
as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please consult the Red Hat Customer Portal Knowledge Base
     landing page on common registration Error Class Codes at
     https://access.redhat.com/solutions/17036 for a possible resolution.
     If you choose to open a support case in the Red Hat Customer Portal,
     please be sure to include details of what you were trying to do when
     this error occurred and specifics on how to reproduce this problem.


Additional info:
Compared to spacewalk-backend-2.3.3-52.el6sat.noarch, it is still there:

/usr/lib/python2.6/site-packages/spacewalk/common/rhnException.py:     https://access.redhat.com/solutions/17036 for a possible resolution.

Comment 5 Radovan Drazny 2017-08-16 11:40:17 UTC
Verified on spacewalk-backend-2.5.3-149.el6sat.noarch using the reproducer from the initial report. Client used was RHEL 7.4.

#Registered the client and then deleted the profile on the sat server.

# rhn_check -vv
Could not retrieve action item from server <RetryServer for sat580.example.com/XMLRPC>
Error code: -9
Error Message:
    Please run rhn_register as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation:
     An error has occured while processing your request. If this problem
     persists please consult the Red Hat Customer Portal Knowledge Base
     landing page on common registration Error Class Codes at
     https://access.redhat.com/solutions/17036 for a possible resolution.
     If you choose to open a support case in the Red Hat Customer Portal,
     please be sure to include details of what you were trying to do when
     this error occurred and specifics on how to reproduce this problem.

VERIFIED

Comment 6 Radovan Drazny 2017-08-18 10:38:57 UTC
Ok, not so fast - there is a typo in the Explanation section. Should be "occurred" instead of "occured". One "r" is missing. Thanks to automated test for pointing this out :-)

Comment 7 Tomáš Kašpárek 2017-08-21 11:32:23 UTC
Created attachment 1316221 [details]
0001-1467632-fix-typo-in-exception-message.patch

0001-1467632-fix-typo-in-exception-message.patch

Comment 10 Radovan Drazny 2017-08-24 11:20:17 UTC
Verified on spacewalk-backend-2.5.3-151. The message contains a link to the KB article, and the "r" is occurring. 

VERIFIED

Comment 12 errata-xmlrpc 2017-09-06 12:27:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2645


Note You need to log in before you can comment on or make changes to this bug.